Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.lifecycle
Interface RegistryLifecycleHelpers

All Known Implementing Classes:
  RegistryLifecycleManager

    public interface RegistryLifecycleHelpers

This interface defines additional Registry Lifecycle methods to enable extenral objects to have there lifecycle managed by the registry.

Since:
  3.0

Method Summary
`void` | `applyCompletedPhases(Object object)` Successively applies all completed lifecycle phase to an object.
`void` | `applyPhase(Object object, String fromPhase, String toPhase)` Applies lifecycle phase to an object independent of the current lifecycle phase.

Method Detail

### applyPhase

    void applyPhase(Object object,
                    String fromPhase,
                    String toPhase)
                    throws LifecycleException

  Applies lifecycle phase to an object independent of the current lifecycle phase. All phases between the current phase and the 'endPhase' will be executed.

  Parameters:
    `object` - the object to apply lifecycle to
    `fromPhase` - the lifecycle phase the object is currently in. Must not be null.
    `toPhase` - the lifecycle phase to transition the object to. Must not be null.
  Throws:
    `LifecycleException` - if there is an exception while invoking lifecycle on the object

### applyCompletedPhases

    void applyCompletedPhases(Object object)
                              throws LifecycleException

  Successively applies all completed lifecycle phase to an object.

  Parameters:
    `object` - the object to which the lifecycle should be applied
  Throws:
    `LifecycleException` - if there is an error while applying lifecycle to the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.